SphereCylinderOptimizer Class Reference

`#include <ql/math/optimization/spherecylinder.hpp>`

## Public Member Functions

| SphereCylinderOptimizer (Real r, Real s, Real alpha, Real z1, Real z2, Real z3, Real zweight=1.0)
bool | isIntersectionNonEmpty () const
void | findClosest (Size maxIterations, Real tolerance, Real &y1, Real &y2, Real &y3) const
bool | findByProjection (Real &y1, Real &y2, Real &y3) const

## Detailed Description

- we are in r^3 sphere centred at O radius r
- vertical cylinder centred at (alpha,0) radius s
- Z some point in R3
- find point on intersection that is closest to Z

the intersection may be empty!